using System;

class Program
{
    static void Main()
    {
        string[] s1 = Console.ReadLine().Split();
        long n= long.Parse(s1[0]);
        long h= long.Parse(s1[1]);
        long[] s = new long[n+1];
        s1=Console.ReadLine().Split();
        for (int i = 0; i < n; i++)
        {
            s[i] =long.Parse(s1[i]);
        }
        int i2 = -1;
        for(int i = 0;i < n; i++)
        {
            if (h >= s[i])
            {
                i2 = i+1;
                break;
            }
        }
        Console.WriteLine(i2);
    }
}